Store APIsLicenses
List licenses
Returns a list of license keys issued by the store. Requires the LICENSES_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48Query Parameters
page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
25productId?string
Length
12 <= length <= 48status?||
Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/licenses/"{ "ok": true, "data": { "items": [ { "id": "lic_q1mzj0kxw5h7n4tr3bcfp2v8", "key": "ACME-XK7Q-9R3T-LP2W", "status": "CLAIMED", "productId": "prd_8h4t6sqzy3x9w5n2k1m0vqbf", "variantId": null, "orderId": "ord_p2v8q1mzj0kxw5h7n4tr3bcf", "customerId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5", "claimedAt": "2026-05-14T12:35:11.000Z", "createdAt": "2026-05-14T12:35:11.000Z" } ], "pagination": { "page": 1, "limit": 25, "total": 1, "totalPages": 1 } }}